highlight clear
if exists("syntax_on")
  syntax reset
endif
let g:colors_name = "phd"

if !has("gui_running")
   if &background == 'light'
      highlight MoreMsg cterm=bold ctermfg=none
      highlight Question cterm=bold ctermfg=none
   else
      highlight MoreMsg ctermfg=white
      highlight ModeMsg ctermfg=white
      highlight Question ctermfg=white
   endif
endif

highlight Constant ctermfg=blue guifg=blue
highlight Cursor guifg=white guibg=green
highlight pythonBuiltin cterm=bold ctermfg=blue gui=bold guifg=blue
highlight pythonNumber ctermfg=brown guifg=brown

if &filetype == 'mail'
   highlight link mailHeaderEmail Normal
   highlight mailQuoted1 cterm=none ctermfg=blue gui=none guifg=blue
   highlight mailQuoted3 cterm=none ctermfg=brown gui=none guifg=brown
   highlight mailQuoted4 cterm=none ctermfg=green gui=none guifg=green
   highlight mailQuoted5 cterm=none ctermfg=cyan gui=none guifg=cyan
   highlight mailQuoted6 cterm=none ctermfg=white gui=none guifg=white
   highlight mailURL cterm=bold ctermfg=blue gui=bold guifg=blue
endif

if &background == 'light'
   highlight Comment ctermfg=darkgrey guifg=grey
   highlight Identifier ctermfg=darkgreen guifg=green
   highlight NonText ctermfg=darkgrey guifg=grey
   highlight Normal guifg=black guibg=grey90
   highlight SpecialKey ctermfg=darkgrey
   highlight Statement cterm=bold ctermfg=black guifg=black
   highlight Type ctermfg=black guifg=black
   highlight pythonExceptions ctermfg=darkred guifg=darkred

   if &diff
      highlight DiffAdd ctermfg=darkgreen ctermbg=grey guifg=green guibg=grey90
      highlight DiffChange ctermfg=black ctermbg=grey guifg=black guibg=grey90
      highlight DiffDelete ctermfg=red ctermbg=grey guifg=red guibg=grey90
      highlight DiffText ctermfg=white ctermbg=magenta guifg=white guibg=magenta
   endif

   if &filetype == 'mail'
      highlight Statement cterm=none ctermfg=black gui=none guifg=black
      highlight Type ctermfg=blue guifg=blue
      highlight mailEmail cterm=bold ctermfg=darkmagenta guifg=darkmagenta gui=bold
      highlight mailQuoted2 cterm=none ctermfg=darkmagenta gui=none guifg=darkmagenta
      highlight mailSmile cterm=bold ctermfg=darkmagenta gui=bold guifg=darkmagenta
      highlight mailSubject cterm=bold ctermfg=darkgrey gui=bold
   endif

   if &filetype == 'xml'
      highlight clear Identifier
      highlight link Identifier Statement
   endif

else
   highlight Comment ctermfg=grey guifg=grey
   highlight Identifier ctermfg=green guifg=green
   highlight NonText ctermfg=grey guifg=grey
   highlight Normal guifg=white guibg=black
   highlight SpecialKey ctermfg=grey
   highlight Statement cterm=bold ctermfg=white guifg=white
   highlight Type ctermfg=white guifg=white
   highlight pythonExceptions ctermfg=red guifg=red

   if &diff
      highlight DiffAdd ctermfg=green ctermbg=black guifg=green guibg=black
      highlight DiffChange ctermfg=white ctermbg=black guifg=white guibg=black
      highlight DiffDelete ctermfg=red ctermbg=black guifg=red guibg=black
      highlight DiffText ctermfg=white ctermbg=magenta guifg=white guibg=magenta
   endif

   if &filetype == 'mail'
      highlight Statement cterm=none ctermfg=white gui=none guifg=white
      highlight Type cterm=bold gui=bold
      highlight mailEmail cterm=bold ctermfg=magenta guifg=magenta gui=bold
      highlight mailQuoted2 cterm=none ctermfg=magenta gui=none guifg=magenta
      highlight mailSmile cterm=bold ctermfg=magenta gui=bold guifg=magenta
      highlight mailSubject cterm=bold ctermfg=yellow gui=bold
   endif

   if &filetype == 'html'
      highlight htmlBold cterm=bold ctermfg=white
      highlight htmlBoldItalic cterm=bold,reverse ctermfg=white
      highlight htmlBoldUnderline cterm=bold,underline ctermfg=white
      highlight htmlBoldUnderlineItalic cterm=bold,reverse,underline ctermfg=white
      highlight htmlUnderline cterm=underline ctermfg=white
      highlight htmlUnderlineItalic cterm=reverse,underline ctermfg=white
   endif
endif

highlight SpellBad term=underline ctermfg=white ctermbg=red guifg=white guibg=red " gui=undercurl guisp=red
highlight StatusLine cterm=bold,reverse ctermfg=blue ctermbg=white guifg=blue guibg=white
highlight Visual ctermfg=white ctermbg=blue guifg=white guibg=blue " Selection highlighting
