#! /usr/bin/env python

import sys
url = sys.argv[1]

import urllib
urllib._urlopener = urllib.FancyURLopener()

from cgi import parse_qsl
from m_lib.defenc import default_encoding

protocol, request = urllib.splittype(url)
user, password, port = None, None, None
host, path = urllib.splithost(request)
if host:
   user, host = urllib.splituser(host)
   if user:
      user, password = urllib.splitpasswd(user)
   host, port = urllib.splitport(host)
   if port: port = int(port)
path, tag = urllib.splittag(path)
path, query = urllib.splitquery(path)
path = urllib.unquote(path)
if tag: tag = urllib.unquote_plus(tag)

if query:
   qlist = []
   for name, value in parse_qsl(query):
       qlist.append((name, value))

url = protocol + "://"
if user:
   url += urllib.quote(user)
   if password:
      url += ':' + urllib.quote(password)
   url += '@'
if host:
   url += host.decode(default_encoding).encode('idna')
   if port:
      url += ':%d' % port
if path:
   if protocol == "file":
      url += urllib.quote(path)
   else:
      url += urllib.quote(path)
if query:
   url += '?' + urllib.urlencode(qlist)
if tag:
   url += '#' + urllib.quote_plus(tag)

# I remember seeing some sites that return broken HTML or even HTTP response
# without "compatible" user agent; I don't know if such sites are still around,
# but this header doesn't cause any harm so I'd better continue to use it.
# UPDATE: I saw a number of sites that forbid "Mozilla compatible"
server_version = "Python-urllib/%s" % urllib.__version__
urllib._urlopener.addheaders[0] = ('User-agent', server_version)
urllib._urlopener.addheaders.append(('Accept-Charset', "koi8-r;q=1.0"))

import os
dest_file = os.path.basename(url)

if not dest_file:
   dest_file = "_index.html"

filename, headers = urllib.urlretrieve(url, dest_file)

if headers.has_key("last-modified"):
   from m_lib.net.www.util import parse_time
   last_modified = parse_time(headers["last-modified"])
   if last_modified:
      os.utime(dest_file, (last_modified, last_modified))
